MySQL++ Reference Manual

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
mysqlpp::BadConversion Class Reference

Exception thrown when a bad type conversion is attempted. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadConversion:
[legend]
Collaboration diagram for mysqlpp::BadConversion:
[legend]

## Public Member Functions
| BadConversion (const char *tn, const char *d, size_t r, size_t a)
| Create exception object, building error string dynamically. More...
| BadConversion (const std::string &w, const char *tn, const char *d, size_t r, size_t a)
| Create exception object, given completed error string. More...
| BadConversion (const char *w="")
| Create exception object, with error string only. More...
| ~BadConversion () throw ()
| Destroy exception.
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Public Attributes
const char * | type_name
| name of type we tried to convert to
std::string | data
| string form of data we tried to convert
size_t | retrieved
| documentation needed!
size_t | actual_size
| documentation needed!

## Additional Inherited Members
Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when a bad type conversion is attempted.

## Constructor & Destructor Documentation

mysqlpp::BadConversion::BadConversion | ( | const char * | tn,
|  | const char * | d,
|  | size_t | r,
|  | size_t | a
| ) |  |
| inline

Create exception object, building error string dynamically.

Parameters

  tn | type name we tried to convert to
  d | string form of data we tried to convert
  r | ??
  a | ??

mysqlpp::BadConversion::BadConversion | ( | const std::string & | w,
|  | const char * | tn,
|  | const char * | d,
|  | size_t | r,
|  | size_t | a
| ) |  |
| inline

Create exception object, given completed error string.

Parameters

  w | the "what" error string
  tn | type name we tried to convert to
  d | string form of data we tried to convert
  r | ??
  a | ??

mysqlpp::BadConversion::BadConversion | ( | const char * | w = `""` | ) |
| inlineexplicit

Create exception object, with error string only.

Parameters

  w | the "what" error string

All other data members are initialize to default values

The documentation for this class was generated from the following file:

- exceptions.h